### Method

# Devhelp Link get_uri

#### Declaration [src]

    gchar*
    dh_link_get_uri (
      DhLink* link
    )

#### Description [src]

Gets the `link` URI, by concateneting the book base path with the `link` relative URL.

#### Return value

Type: `gchar*`

The `link` URI, or `NULL` if getting the URI failed. Free with `g_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.